Skip to main content
GET
/
environments
/
{environmentId}
/
sdkViews
/
{sdkViewType}
Get an SDK view by type
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/sdkViews/{sdkViewType} \
  --header 'Authorization: Bearer <token>'
{
  "type": "login",
  "sections": [
    {
      "label": "<string>",
      "numOfItemsToDisplay": 123,
      "defaultItem": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

sdkViewType
enum<string>
required

Type of sdk view

Available options:
login

Response

Sdk view for that type and project environment

Configs used to create the view in the sdk.

type
enum<string>
required
Available options:
login
sections
object[]

The sections which will be used create the view in the sdk. The sections will be displayed in the order that they appear in the array.

Last modified on June 26, 2026